Bug 740414 - PackageKit-zif swaps URL and title for links in update information
Summary: PackageKit-zif swaps URL and title for links in update information
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 15
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 23:32 UTC by Kevin Kofler
Modified: 2011-09-23 10:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-23 10:26:19 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2011-09-21 23:32:38 UTC
Description of problem:
In the update information, PackageKit-zif sends title;URL; where URL;title; is expected (by both Apper/KPackageKit and gnome-packagekit, and it's also what the yum backend sends).

Version-Release number of selected component (if applicable):
PackageKit-zif-0.6.17-1.fc15.libzif.so.3.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Look at the update information in any PackageKit-based GUI updater.
2. Try to click on the links.
  
Actual results:
The GUI attempts to use the title as a URL.

Expected results:
Valid URL.

Additional info:
See also this mailing list thread:
http://lists.freedesktop.org/archives/packagekit/2011-September/006417.html

Comment 1 Richard Hughes 2011-09-22 08:01:59 UTC
(In reply to comment #0)
> Description of problem:
> In the update information, PackageKit-zif sends title;URL; where URL;title; is
> expected (by both Apper/KPackageKit and gnome-packagekit, and it's also what
> the yum backend sends).

Thanks for debugging this. Could you please push the trivial fix to PackageKit git master. I can't remember if you have commit, but if you don't just let me know what your gitorious username is. Thanks.

Richard.

Comment 2 Kevin Kofler 2011-09-23 01:19:27 UTC
I don't have commit rights yet, in fact I didn't even have a Gitorious account. I registered one now. My Gitorious username is kkofler.

Comment 3 Richard Hughes 2011-09-23 07:56:08 UTC
I've added you as a committer to https://gitorious.org/packagekit/packagekit

Thanks!

Comment 4 Kevin Kofler 2011-09-23 09:06:00 UTC
Fix committed and pushed to master. But shouldn't we backport this kind of fixes to 0.6.x too?

Comment 5 Richard Hughes 2011-09-23 10:26:19 UTC
(In reply to comment #4)
> Fix committed and pushed to master. But shouldn't we backport this kind of
> fixes to 0.6.x too?

Yup, I normally cherry-pick the sane commits into 0_6_X a few days before the stable release, but if you're feeling really keen you can do this too. Thanks.


Note You need to log in before you can comment on or make changes to this bug.